Subject: [RFC PATCH 0/2] NMI IPI work in progress for Linux and OPAL

From: Nicholas Piggin <[email-masked]>
Date: Wed, 13 Sep 2017 02:05:51 +1000

Hi,

I have Linux and OPAL patches that make the NMI IPI facility work on
a POWER9 DD1 here, lightly tested. It works for threads that are running
and are in stop (at least the stop0_lite state enabled in DD1).

Comments on the OPAL patch in particular would be good. Next step will
be more testing with DD2 and different idle states.

This was taken mostly from pdbg but I have ended up changing a few
things (e.g., to make it work in idle state).

Thanks,
Nick